/***************************************************************************
                          toolbar.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : j.struyve@pandora.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: toolbar.cpp,v 1.6 2001/02/27 22:10:23 js Exp $
 *
 */

#include "k8ktest.h"

/* pixmaps */
#include <exit.xpm>
#include <refresh.xpm>
#include <options.xpm>

ToolBar::ToolBar( ApplicationWindow *parent,char *name )
        : QToolBar( parent, name)
{
	int i;
	par = parent;
	QPixmap refreshicon( (const char **)refresh_xpm );
	QPixmap exiticon( (const char **)exit_xpm );
	QPixmap optionsicon( (const char **)options_xpm );
	
	quit       = new QToolButton(exiticon   , "Quit"    ,"Quit application", qApp, SLOT(quit()), this, "quit" );
	this->addSeparator();
	refresh    = new QToolButton(refreshicon, "Refresh" ,"Refresh the view", parent, SLOT(Scan()), this, "refresh" );
	options    = new QToolButton(optionsicon, "Options" ,"Options", parent, SLOT(ShowOptionDialog()), this, "options" );
	this->addSeparator();
	
	card_buttons = new QButtonGroup(NULL,"group");
	card_buttons->setExclusive(TRUE);
		
	for(i=0;i<4;i++)
	{
		card [i] = new QPushButton(QString("Card ")+tr("%1").arg(i+1),
								   this, QString("Card ")+tr("%1").arg(i+1) );
		card_buttons->insert(card[i],i);
		card[i]->setToggleButton(TRUE);
		card[i]->setBackgroundColor(QColor(0,255,0));
		if(!i)
			card[i]->setOn(TRUE);
		
		QObject::connect( card[i], SIGNAL(clicked()), this, SLOT(ToggleCard()) );
	}
}

ToolBar::~ToolBar()
{}

void ToolBar::ToggleCard()
{
	int i;
	
	for(i=0;i<4;i++)
	{
		if(card[i]->isOn())
			((ApplicationWindow*) par)->ShowCard(i);
	}
}
